QGIS Application - Bug report #21505

Raster Symbology, Paletted/Unique values not respecting selected band

2019-03-07 01:51 AM - Andrew Harvey

Status: Closed
Priority: Normal
Assignee:

Category: Symbology

Affected QGIS version:3.6.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 29322

Description

| have a 4 band raster loaded into QGIS, under the layer Symbology I've chosen "Paletted/Unique values" and selected Band 3 to be the
source of those values. Selecting classify with random colors, all the vales are represented correctly, however the actual raster is
rendered based on Band 1, not based on the selected Band 3. | would expect selecting band 3 could cause it to use band 3 in the

rendering.

Associated revisions

Revision 76482cf1 - 2019-03-07 07:37 AM - Nyall Dawson

Fix paletted raster renderer does not respect correct band when rendering

Fixes #21505

Revision 0f020bcd - 2019-03-07 07:37 AM - Nyall Dawson

Fix paletted raster renderer does not respect correct band when rendering

Fixes #21505

Revision 12ba4175 - 2019-03-07 09:50 AM - Nyall Dawson

Fix paletted raster renderer does not respect correct band when rendering

Fixes #21505

Revision 863c2c02 - 2019-03-07 11:03 AM - Nyall Dawson

Fix paletted raster renderer does not respect correct band when rendering

Fixes #21505

Revision d73da224 - 2019-03-08 02:51 AM - Nyall Dawson

Fix paletted raster renderer does not respect correct band when rendering
Fixes #21505

History

#1 - 2019-03-07 01:55 AM - Andrew Harvey

My workaround is to use “gdal_translate -b3" to pull out band 3 into a 1 band image and use that in QGIS.

#2 - 2019-03-07 07:37 AM - Nyall Dawson
- Status changed from Open to In Progress

https://github.com/qgis/QGIS/pull/9411

#3 - 2019-03-07 09:49 AM - Nyall Dawson
- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|12ba41750f8058a3f0a504515255cdbc180955b3.
